## com.google.common.base
Interface FinalizableReference

All Known Implementing Classes:
  FinalizablePhantomReference, FinalizableSoftReference, FinalizableWeakReference

    public interface FinalizableReference

Implemented by references that have code to run after garbage collection of their referents.

Since:
  2.0 (imported from Google Collections Library)
Author:
  Bob Lee
See Also:
  `FinalizableReferenceQueue`

Method Summary
`void` `finalizeReferent()` Invoked on a background thread after the referent has been garbage collected unless security restrictions prevented starting a background thread, in which case this method is invoked when new references are created.

Method Detail

### finalizeReferent

    void finalizeReferent()

  Invoked on a background thread after the referent has been garbage collected unless security restrictions prevented starting a background thread, in which case this method is invoked when new references are created.

Copyright © 2010-2012. All Rights Reserved.